/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
@import 'variables.scss';

.contacts-grid-wrapper {
  position: relative;
}

.dropdown-open:hover {
  background-color: transparent;
}

.diverse-options {
  display: flex;
  justify-content: space-between;
  align-content: center;
  min-width: 1130px;
  background-color: #f5f7f7;
  border: 1px solid rgb(189, 195, 199);
  padding: 7px 7px 5px 7px;
  margin-bottom: 1px;
}

.diverse-options-item {
  padding-right: 7px;
  border-right: solid 1px #ddd;
}

.select-type-of-new-contact {
  align-self: center;
  margin-right: 2px;
}

.search-options {
  display: flex;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-items: center;
  flex-grow: 1;
}

.form-check-label {
  font-size: 13px;
}

.item {
  flex-basis: 160px;
  margin: 5px;
}

#search-text {
  max-width: 160px;
}

.search-btn {
  display: flex;
  align-items: center;
}

.search-btn button {
  margin: 0 5px;
  background-color: #fff;
  border: 1px solid #ccc;
}

.sorting-options {
  display: flex;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  min-width: 370px;
}

.dsgvo-filter-container {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-items: center;
}

.dsgvo-filter-options {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-items: center;
  flex-grow: 1;
  gap: 8px;
}

option:disabled {
  display: none;
}

#new-contact-drop-down {
  background-color: $color-dark-blue;
  color: white;
}

.assigned-modules-select {
  width: 175px;
}
